Plantage Spring upgrade 3.0.x to 3.1.x NoSuchFieldError

Après une mise à jour vers la nouvelle version de Spring 3.1, si vous avez l’erreur « java.lang.NoSuchFieldError: NULL »

Il faut vérifier que la librairie spring-expression est bien à jour. Maven ne le fais pas automatiquement.

Si ce n’est pas déjà fait, inclure la dépendance spring-expression avec la bonne version.

<dependency>
<groupId>org.springframework</groupId>
<artifactId>spring-expression</artifactId>
<version>3.1.2.RELEASE</version>
<scope>compile</scope>
</dependency>

Laisser un commentaire

Votre adresse de messagerie ne sera pas publiée. Les champs obligatoires sont indiqués avec *